#ifndef BT_MP_DLL_BUILD_H
#define BT_MP_DLL_BUILD_H

#include "RtlBluetoothMP.h"
#include "bt_mp_calibration_base.h"

//extern "C"
//{
#include "RtlBluetoothMP.h"
//}

void ReleaseBTPMPDLLObject(BASE_BTMPDLLObject *Modlue);

int BuildBTMPDLLObject(BASE_BTMPDLLObject *Modlue,char *SettingPath,int VendorVersion);
//----------------------------- rd mode begin-----------------------------------
int rd_mode_scriptfile_Excute(BASE_BTMPDLL_MODULE *pDLLBtBaseModule,char *pFileName,char *saveFileName);
void rd_mode_callbackshow(void *fp);
//----------------------------- rd mode end-----------------------------------

int calibration_Excute_XtalBoundary(
        BASE_BTMPDLL_MODULE *pDLLBtBaseModule,
        CAL_PARAMETER *pParameter,
	int cal_freq_MHz,
	double MeasureFreq_MHz,
	unsigned int *pData);
int calibration_Excute_XtalNormal(
        BASE_BTMPDLL_MODULE *pDLLBtBaseModule,
        CAL_PARAMETER *pParameter,
	double MeasureFreqOffset_KHz,
        unsigned int InitCFCapValue,
        unsigned int *pNewCFCapValue);

#endif